end0tknr's kipple - 新web写経開発

http://d.hatena.ne.jp/end0tknr/ から移転します

fortran (f77 , g77)のinstall

Rの依存パッケージでしたので、インストールしましたが、f77は g77 で代用できるんですね。

$ su -
# yum install compat-gcc*   
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package compat-gcc-34.i386 0:3.4.6-9 set to be updated
---> Package compat-gcc-34-c++.i386 0:3.4.6-9 set to be updated
---> Package compat-gcc-34-g77.i386 0:3.4.6-9 set to be updated
--> Processing Dependency: compat-libf2c-34 = 3.4.6-9 for package: compat-gcc-34-g77
--> Processing Dependency: libg2c.so.0 for package: compat-gcc-34-g77
--> Running transaction check
---> Package compat-libf2c-34.i386 0:3.4.6-9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================
 Package                        Arch              Version                Repository           Size
===================================================================================================
Installing:
 compat-gcc-34                  i386              3.4.6-9                fedora              4.0 M
 compat-gcc-34-c++              i386              3.4.6-9                fedora               11 M
 compat-gcc-34-g77              i386              3.4.6-9                fedora              2.1 M
Installing for dependencies:
 compat-libf2c-34               i386              3.4.6-9                fedora               53 k

Transaction Summary
===================================================================================================
Install      4 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 17 M
Is this ok [y/N]: y
   :
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : compat-gcc-34                                                               1/4 
  Installing     : compat-libf2c-34                                                            2/4 
  Installing     : compat-gcc-34-g77                                                           3/4 
  Installing     : compat-gcc-34-c++                                                           4/4 

Installed:
  compat-gcc-34.i386 0:3.4.6-9  compat-gcc-34-c++.i386 0:3.4.6-9  compat-gcc-34-g77.i386 0:3.4.6-9 

Dependency Installed:
  compat-libf2c-34.i386 0:3.4.6-9                                                                  

Complete!